Firmware versions on consoles clarification needed

Discussion in 'Wii U - Hacking & Backup Loaders' started by Xirix, Oct 17, 2014.

  1. Xirix
    OP

    Xirix GBAtemp Regular

    Member
    211
    14
    Jun 21, 2007
    Okay, so I'm going to buy the Wii U premium pack that comes with New Super Mario Bros U and Luigi U from Argos.

    I will be asking if they have one with copyright 2013, but if they do not, is there any actual chance I will get a Wii U with higher than firmware 5.1.0?

    In fact, do any consoles come with firmware that is higher than the recommended homebrew firmware listed in the Homebrew FAQ?

    And finally, Luigi U comes preinstalled on the console I assume? It's not a code I need to go online to redeem or anything?
     
  2. EmceeKerser

    EmceeKerser GBAtemp Maniac

    Member
    1,374
    503
    Jun 3, 2014
    The fuckin' Blue Mountains brah
    The luigi game comes on the disc

    I assume you mean the EULA? If so, why the fuck would you care, they arent worth anything, and no store clerk would know in the first place

    Also FW doesnt matter for homebrew at this stage, read current threads and stickies, hackers are recommending to just update regardless. Also I believe the Mario Luigi bundle is around the 3.1 mark in terms of FW
     
  3. sj33

    sj33 GBAtemp Addict

    Member
    2,643
    1,661
    Oct 22, 2013
    Japan
    That game is relatively old so it will come with an old firmware.

    Honestly though, don't worry about it. There's a lot of scaremongering on here, but devs have already said that they can rework the existing exploit for newer firmwares. They just haven't yet because they're nothing interesting to release yet (I.e. Kernel mode).
     
  4. Xirix
    OP

    Xirix GBAtemp Regular

    Member
    211
    14
    Jun 21, 2007
    No I don't care about the EULA, if I ask for one with copyright 2013 it wouldn't have a firmware that was released this August, that's why I said that. :P

    Where have the devs said that about newer firmwares? I'm just going by the FAQ in this forum that suggests not updating past 5.1.0.
     
  5. mightymuffy

    mightymuffy fatbaldpieeater

    Member
    GBAtemp Patron
    mightymuffy is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    1,312
    506
    Nov 6, 2002
    Wigan, UK
    I can't see any machine on store shelves having 5.1.0 or later as of yet, no chance.... Dunno if they're doing a bundle with Bayonetta 2 but I'd assume if they are, that'll be the first one (in fact that might only come with 5.0.0!) Now the Smash Bros bundle, that should be a different matter.....

    And yeah don't worry about the faq, refer to the various discussion threads for more info about later firmwares: I can't be arsed rooting the exact posts out for you, but like sj33 said they're in there somewhere...